# Uses of Class
org.codehaus.janino.Java.MethodInvocation

Packages that use Java.MethodInvocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MethodInvocation in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.MethodInvocation
Modifier and Type
Method
Description
`IClass.IMethod`
UnitCompiler.`findIMethod(Java.MethodInvocation mi)`
Finds methods of the mi`.``target` named mi`.``methodName`, examines the argument types and chooses the most specific method.
`R`
Visitor.RvalueVisitor.`visitMethodInvocation(Java.MethodInvocation mi)`
Invoked by `accept(Visitor.RvalueVisitor)`

## Uses of Java.MethodInvocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.MethodInvocation
Modifier and Type
Method
Description
`Java.Rvalue`
DeepCopier.`copyMethodInvocation(Java.MethodInvocation subject)`
`void`
AbstractTraverser.`traverseMethodInvocation(Java.MethodInvocation mi)`
`void`
Traverser.`traverseMethodInvocation(Java.MethodInvocation mi)`